Index: trunk/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 1460)
+++ trunk/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 1601)
@@ -33,5 +33,5 @@
    PUBLIC   tra_qsr        ! routine called by step.F90 (ln_traqsr=T)
 
-   !                                           !!* Namelist namqsr: penetrative solar radiation
+   !                                           !!* Namelist namtra_qsr: penetrative solar radiation
    LOGICAL , PUBLIC ::   ln_traqsr  = .TRUE.    !: light absorption (qsr) flag
    LOGICAL , PUBLIC ::   ln_qsr_rgb = .FALSE.   !: Red-Green-Blue light absorption flag  
@@ -220,5 +220,5 @@
       !! ** Method  :   The profile of solar radiation within the ocean is set
       !!      from two length scale of penetration (rn_si0,rn_si1) and a ratio
-      !!      (rn_abs). These parameters are read in the namqsr namelist. The
+      !!      (rn_abs). These parameters are read in the namtra_qsr namelist. The
       !!      default values correspond to clear water (type I in Jerlov' 
       !!      (1968) classification.
@@ -240,6 +240,6 @@
       CHARACTER(len=100) ::   cn_dir   ! Root directory for location of ssr files
       TYPE(FLD_N)        ::   sn_chl   ! informations about the chlorofyl field to be read
-      NAMELIST/namqsr/  sn_chl, cn_dir, ln_traqsr, ln_qsr_rgb, ln_qsr_2bd, ln_qsr_bio,   &
-         &              nn_chldta, rn_abs, rn_si0, rn_si1, rn_si2
+      NAMELIST/namtra_qsr/  sn_chl, cn_dir, ln_traqsr, ln_qsr_rgb, ln_qsr_2bd, ln_qsr_bio,   &
+         &                  nn_chldta, rn_abs, rn_si0, rn_si1, rn_si2
       !!----------------------------------------------------------------------
 
@@ -250,6 +250,6 @@
       sn_chl = FLD_N( 'chlorophyll' ,    -1     ,  'CHLA'    ,  .true.     , .true.  ,   'yearly'  , ''       , ''         )
       !
-      REWIND( numnam )            ! Read Namelist namqsr : ratio and length of penetration
-      READ  ( numnam, namqsr )
+      REWIND( numnam )            ! Read Namelist namtra_qsr : ratio and length of penetration
+      READ  ( numnam, namtra_qsr )
       !
       IF(lwp) THEN                ! control print
@@ -257,21 +257,21 @@
          WRITE(numout,*) 'tra_qsr_init : penetration of the surface solar radiation'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '    Namelist namqsr : set the parameter of penetration'
-         WRITE(numout,*) '        Light penetration (T) or not (F)         ln_traqsr  = ', ln_traqsr
-         WRITE(numout,*) '        RGB (Red-Green-Blue) light penetration   ln_qsr_rgb = ', ln_qsr_rgb
-         WRITE(numout,*) '        2 band               light penetration   ln_qsr_2bd = ', ln_qsr_2bd
-         WRITE(numout,*) '        bio-model            light penetration   ln_qsr_bio = ', ln_qsr_bio
-         WRITE(numout,*) '        RGB : Chl data (=1) or cst value (=0)    nn_chldta  = ', nn_chldta
-         WRITE(numout,*) '        RGB & 2 bands: fraction of light (rn_si1)    rn_abs = ', rn_abs
-         WRITE(numout,*) '        RGB & 2 bands: shortess depth of extinction  rn_si0 = ', rn_si0
-         WRITE(numout,*) '        2 bands: longest depth of extinction         rn_si1 = ', rn_si1
-         WRITE(numout,*) '        3 bands: longest depth of extinction         rn_si2 = ', rn_si2
+         WRITE(numout,*) '   Namelist namtra_qsr : set the parameter of penetration'
+         WRITE(numout,*) '      Light penetration (T) or not (F)         ln_traqsr  = ', ln_traqsr
+         WRITE(numout,*) '      RGB (Red-Green-Blue) light penetration   ln_qsr_rgb = ', ln_qsr_rgb
+         WRITE(numout,*) '      2 band               light penetration   ln_qsr_2bd = ', ln_qsr_2bd
+         WRITE(numout,*) '      bio-model            light penetration   ln_qsr_bio = ', ln_qsr_bio
+         WRITE(numout,*) '      RGB : Chl data (=1) or cst value (=0)    nn_chldta  = ', nn_chldta
+         WRITE(numout,*) '      RGB & 2 bands: fraction of light (rn_si1)    rn_abs = ', rn_abs
+         WRITE(numout,*) '      RGB & 2 bands: shortess depth of extinction  rn_si0 = ', rn_si0
+         WRITE(numout,*) '      2 bands: longest depth of extinction         rn_si1 = ', rn_si1
+         WRITE(numout,*) '      3 bands: longest depth of extinction         rn_si2 = ', rn_si2
       ENDIF
 
       IF( ln_traqsr ) THEN     ! control consistency
          !                      
-         IF( .NOT. lk_qsr_bio  ) THEN 
+         IF( .NOT.lk_qsr_bio .AND. ln_qsr_bio )   THEN
+            CALL ctl_warn( 'No bio model : force ln_qsr_bio = FALSE ' )
             ln_qsr_bio = .FALSE.
-            CALL ctl_warn( 'No bio model ;  force bio-model light penetration ln_qsr_bio  = FALSE ' )
          ENDIF
          !
@@ -286,5 +286,5 @@
             ln_qsr_2bd = .FALSE.
             ln_qsr_bio = .FALSE.
-            CALL ctl_warn( '          Choose ONE type of light penetration in namelist namqsr',   &
+            CALL ctl_warn( '          Choose ONE type of light penetration in namelist namtra_qsr',   &
            &               ' otherwise, we force the model to run with RGB light penetration' )
          ENDIF
@@ -335,5 +335,5 @@
                !                                        ! fill sf_chl with sn_chl and control print
                CALL fld_fill( sf_chl, (/ sn_chl /), cn_dir, 'tra_qsr_init',   &
-                  &                                         'Solar penetration function of read chlorophyll', 'namqsr' )
+                  &                                         'Solar penetration function of read chlorophyll', 'namtra_qsr' )
                !
             ELSE                                !* constant Chl : compute once for all the distribution of light (etot3)
